varying vec3 V_eye;
varying vec3 L_eye;
varying vec3 N_eye;

void main(void)
{
	vec4 pos = gl_Vertex;
	pos.xyz += gl_Normal*0.08*sin(4.0*gl_Vertex.x);

	V_eye = -vec3(gl_ModelViewMatrix*pos);
	L_eye = gl_LightSource[0].position.xyz + V_eye;
	N_eye = gl_NormalMatrix*gl_Normal; // must be normalized

	gl_FrontColor = gl_Color;
	gl_Position = gl_ModelViewProjectionMatrix*pos;
}

